Notifications popup: Remain with header/footer size or amend?
Closed, ResolvedPublic

Description

With T97631 in, we need to revisit Notifications popup.


While on normal interfaces/Desktop/Vector/WikimediaUI theme we now have 32px height as button sizing, OOUI dialogs, especially confirmation dialogs feature 44px, which is sufficient for touch and pointer devices on height alone.

Should we stay with the current 50px height here, or can we go for 44px to be harmonious with surrounding interface elements when re-aligning elements in the popup?
For the harmonious reasons, I'd personally be in favor of 44px, here's a take:

Please ignore the wrong preferences icon, already filed and patched under T190175

Volker_E created this task.Mar 22 2018, 9:30 AM
Restricted Application added a project: UI-Standardization. · View Herald TranscriptMar 22 2018, 9:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

I think shrinking down to 44px for consistency makes sense.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 22 2018, 4:50 PM
Volker_E moved this task from Backlog to Next-up on the OOUI board.Mar 23 2018, 3:56 AM

I think shrinking down to 44px for consistency makes sense.

Agree. That would also avoid the footer to be larger than the header of the panel, bringing more balance to the visual hierarchy.

Change 421840 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Echo@master] Align Notifications popup header/footer with OOUI's default size

https://gerrit.wikimedia.org/r/421840

Change 421840 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Align Notifications popup header/footer with OOUI's default size

https://gerrit.wikimedia.org/r/421840

Etonkovidova closed this task as Resolved.Mar 28 2018, 5:52 PM

Looks good in betalabs (checked for IE too)

Volker_E claimed this task.Mar 28 2018, 8:59 PM
Volker_E added a subscriber: Pginer-WMF.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.